#!/bin/sh
#
# update-noodle-multisync-user.sh - Updates a user multisync configuration for Noodle
#

if [ "$#" != "1" ]; then
	echo "Syntax: update-noodle-multisync-user.sh user"
	exit 1
fi

user="$1"

[[ -e /home/$user ]] && cd /home/$user || exit 1

[[ ! -e .multisync ]] &&  mkdir .multisync

cd .multisync

[[ ! -e "old" ]] && mkdir old

[[ -e "1" ]] && mv 1 old/1.`date +%Y%m%e_%H%M`

mkdir 1 && cd 1

echo "remoteclient = synce-plugin
localclient = evolution2-sync
syncinterval = 1800
dwelltime = 5
manualonly = yes
reconninterval = 10
object_types = 0x7
syncsound =
welcomesound =
displayname =
playsyncsound = no
playwelcomesound = no
filter = 1,1,1,\"CATEGORIES\",\"*\"
filter = 1,2,1,\"CATEGORIES\",\"*\"
filter = 2,1,1,\"CATEGORIES\",\"*\"
filter = 2,2,1,\"CATEGORIES\",\"*\"
filter = 4,1,1,\"CATEGORIES\",\"*\"
filter = 4,2,1,\"CATEGORIES\",\"*\"
duplicatemode = 0" > syncpair

echo "<?xml version=\"1.0\"?>
<config><adress_path>file:///home/$user/.evolution/addressbook/local/system</adress_path><calendar_path>file:///home/$user/.evolution/calendar/local/system</calendar_path><tasks_path>file:///home/$user/.evolution/tasks/local/system</tasks_path></config>" > localsettings

chown -R $user.users /home/$user/.multisync

echo "Updated Noodle multisync configuration for user: $user..."

exit 0
